Bug 1450637 - new mycli needs python-cli-helpers
Summary: new mycli needs python-cli-helpers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mycli
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1444610 1451066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-14 09:18 UTC by Dick Marinus
Modified: 2017-09-30 06:12 UTC (History)
2 users (show)

Fixed In Version: mycli-1.12.1-2.fc26 mycli-1.12.1-2.fc25 mycli-1.12.1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-13 22:24:51 UTC
Type: Bug


Attachments (Terms of Use)
req backports.csv only for python 2 (670 bytes, patch)
2017-08-16 20:49 UTC, Terje Røsten
no flags Details | Diff

Description Dick Marinus 2017-05-14 09:18:40 UTC
new package for python-cli_helpers (required for new mycli release)

https://github.com/meeuw/fedora-python-cli_helpers
https://copr.fedorainfracloud.org/coprs/meeuw/mycli-1.10.0/package/python-cli_helpers/

Comment 1 Terje Røsten 2017-08-16 18:18:06 UTC
hi!

Seems like there is a bug in cli_helpers:

  https://github.com/dbcli/cli_helpers/blob/master/setup.py#L37
 
 'backports.csv >= 1.0.0'

however when using Python 3, code does:
  https://github.com/dbcli/cli_helpers/blob/master/cli_helpers/compat.py

  import csv

which is a standard module, only Python 2 version uses

  from backports import csv

and should have the req in setup.py.

Comment 2 Terje Røsten 2017-08-16 20:49:02 UTC
Created attachment 1314388 [details]
req backports.csv only for python 2

req backports.csv only for python 2

Comment 3 Dick Marinus 2017-08-17 08:30:52 UTC
Thanks, I've created a PR upstream (and added your name to authors):

https://github.com/dbcli/cli_helpers/pull/24

Comment 4 Fedora Update System 2017-09-01 17:19:20 UTC
mycli-1.12.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-822ee2f30b

Comment 5 Fedora Update System 2017-09-01 17:19:31 UTC
mycli-1.12.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d90f82352

Comment 6 Fedora Update System 2017-09-01 17:19:39 UTC
mycli-1.12.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c5e46f952

Comment 7 Fedora Update System 2017-09-03 05:24:04 UTC
mycli-1.12.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-822ee2f30b

Comment 8 Fedora Update System 2017-09-03 06:25:33 UTC
mycli-1.12.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c5e46f952

Comment 9 Fedora Update System 2017-09-03 07:51:44 UTC
mycli-1.12.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c5e46f952

Comment 10 Fedora Update System 2017-09-03 07:53:45 UTC
mycli-1.12.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-822ee2f30b

Comment 11 Fedora Update System 2017-09-03 19:54:28 UTC
mycli-1.12.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d90f82352

Comment 12 Fedora Update System 2017-09-04 06:47:40 UTC
mycli-1.12.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c5e46f952

Comment 13 Fedora Update System 2017-09-04 06:51:12 UTC
mycli-1.12.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-822ee2f30b

Comment 14 Fedora Update System 2017-09-13 22:24:51 UTC
mycli-1.12.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-14 03:51:41 UTC
mycli-1.12.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-09-30 06:12:19 UTC
mycli-1.12.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.